# $Revision: 1.12.2.2 $, $Date: 2006/12/26 20:32:41 $
%define		_modname	rrdtool
Summary:	RRDtool PHP module
Summary(pl):	Modu PHP RRDtool
Name:		php-rrdtool
Version:	1.0.50
Release:	8
License:	GPL
Group:		Applications/Databases
Source0:	http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/rrdtool-1.0.x/rrdtool-%{version}.tar.gz
# Source0-md5:	c466e2e7df95fa8e318e46437da87686
Patch0:		rrdtool-php-config.patch
Patch1:		%{name}-new.patch
URL:		http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/
BuildRequires:	cgilibc-devel
BuildRequires:	gd-devel
BuildRequires:	openssl-devel >= 0.9.5
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
BuildRequires:	rrdtool-devel >= 1.2.10
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package includes a dynamic shared object (DSO) that adds RRDtool
bindings to the PHP HTML-embedded scripting language.

%description -l pl
Ten pakiet zawiera dynamiczny modu (DSO) dodajcy dowizania RRDtoola
do jzyka skryptowego PHP.

%prep
%setup -q -n rrdtool-%{version}
%patch0 -p0
%patch1 -p1

%build
cd contrib/php4
phpize
%configure \
	--with-openssl \
	--includedir="%{_includedir}/php"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{_examplesdir}/%{name}-%{version}}

cd contrib/php4
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

cp -a examples/*.php $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc contrib/php4/USAGE
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-rrdtool.spec,v $
Revision 1.12.2.2  2006/12/26 20:32:41  glen
- use new php extension macros; rel 8

Revision 1.12.2.1  2006/12/23 19:02:47  adamg
- release 7 (rebuild against php-5.2.0)

Revision 1.12  2005/12/24 15:39:39  glen
- rel 6 (rebuild with new php)

Revision 1.11  2005/10/14 20:08:08  arekm
- rel 5; port to new rrdtool

Revision 1.10  2005/10/14 19:42:08  arekm
- rebuild with new rrdtool

Revision 1.9  2005/09/15 18:45:44  glen
- php api version require, rel 3

Revision 1.8  2005/09/13 13:49:37  qboosh
- updated pl desc

Revision 1.7  2005/09/07 14:19:16  glen
- rel 2, STBR

Revision 1.6  2005/09/07 13:03:43  glen
- fix build on amd64

Revision 1.5  2005/09/07 11:36:15  glen
- adapterize
- BR: openssl-devel

Revision 1.4  2005/09/07 01:10:07  glen
- fixed php-devel BR

Revision 1.3  2005/09/07 00:58:23  glen
- works (not tested)

Revision 1.2  2005/09/07 00:41:21  glen
- longer description, added TODO

Revision 1.1  2005/09/07 00:34:12  glen
- new, based on r1.96 of rrdtool.spec and 1.0.50 rrdtool sources
